{"swagger":"2.0","info":{"version":"0.0.1","title":"AA Identity Service","contact":{"email":"yasar@blackdart.in"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"schemes":["https","http"],"tags":[{"name":"Session Managment","description":"Operations about Session","externalDocs":{"description":"Find out more","url":"http://yasar.blackdart.in"}}],"paths":{"/identity/createUser":{"post":{"tags":["Session Managment"],"operationId":"createUser","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"header","name":"device_id","type":"string","required":true},{"in":"body","name":"CreateUserRequest","required":true,"schema":{"$ref":"#/definitions/CreateUserRequest"}}],"responses":{"200":{"description":"User Creation Success","schema":{"$ref":"#/definitions/CreateUserResponse"}},"500":{"description":"Server Error","schema":{"$ref":"#/definitions/ServiceResponse"}}}}},"/identity/updateCredentials":{"post":{"tags":["Session Managment"],"operationId":"updateCredentials","produces":["application/json"],"parameters":[{"in":"header","name":"device_id","type":"string","required":true},{"in":"header","name":"session_token","type":"string","required":true},{"in":"body","name":"Request","required":true,"schema":{"$ref":"#/definitions/UpdateCredentialRequest"}}],"responses":{"200":{"description":"reset","schema":{"$ref":"#/definitions/ServiceResponse"}},"401":{"description":"","schema":{"$ref":"#/definitions/ServiceResponse"}},"500":{"description":"","schema":{"$ref":"#/definitions/ServiceResponse"}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200"}},"uri":"http://sf-microservices-1798291254.ap-southeast-1.elb.amazonaws.com/profile/getUser/{userId}","passthroughBehavior":"when_no_match","httpMethod":"POST","type":"http"}}},"/identity/createSession":{"post":{"tags":["Session Managment"],"operationId":"login","produces":["application/json"],"parameters":[{"in":"header","name":"device_id","type":"string","required":true},{"in":"body","name":"createSessionRequest","required":true,"schema":{"$ref":"#/definitions/CreateSessionRequest"}}],"responses":{"200":{"description":"User Id","schema":{"$ref":"#/definitions/CreateSessionResponse"}},"500":{"description":"asdasdasd","schema":{"$ref":"#/definitions/ServiceResponse"}}}}},"/identity/validateSession":{"get":{"tags":["Session Managment"],"operationId":"validateSession","produces":["application/json"],"parameters":[{"in":"header","name":"device_id","type":"string","required":true},{"in":"header","name":"session_token","type":"string","required":true}],"responses":{"200":{"description":"User Id","schema":{"$ref":"#/definitions/SessionResponse"}},"201":{"description":"User Id","schema":{"$ref":"#/definitions/SessionResponse"}},"500":{"description":"asdasdasd","schema":{"$ref":"#/definitions/ServiceResponse"}}}}},"/identity/refreshSession":{"post":{"tags":["Session Managment"],"operationId":"refreshSession","produces":["application/json"],"parameters":[{"in":"header","name":"user_id","type":"string","required":true},{"in":"header","name":"device_id","type":"string","required":true},{"in":"body","name":"RefreshSessionRequest","required":true,"schema":{"$ref":"#/definitions/RefreshSessionRequest"}}],"responses":{"200":{"description":"User Id","schema":{"$ref":"#/definitions/SessionResponse"}},"201":{"description":"User Id","schema":{"$ref":"#/definitions/SessionResponse"}},"500":{"description":"asdasdasd","schema":{"$ref":"#/definitions/ServiceResponse"}}}}},"/identity/clearSession":{"post":{"tags":["Session Managment"],"operationId":"clearSession","produces":["application/json"],"parameters":[{"in":"header","name":"device_id","type":"string","required":true},{"in":"header","name":"session_token","type":"string","required":true}],"responses":{"200":{"description":"User Id","schema":{"$ref":"#/definitions/ServiceResponse"}},"201":{"description":"User Id","schema":{"$ref":"#/definitions/SessionResponse"}},"500":{"description":"asdasdasd","schema":{"$ref":"#/definitions/ServiceResponse"}}}}}},"definitions":{"CreateUserRequest":{"type":"object","properties":{"user_id":{"type":"string","format":"uuid"},"credential":{"type":"string"}}},"CreateUserResponse":{"allOf":[{"$ref":"#/definitions/ServiceResponse"}]},"CreateSessionRequest":{"type":"object","properties":{"user_id":{"type":"string","format":"uuid"},"credential":{"type":"string"}}},"CreateSessionResponse":{"allOf":[{"$ref":"#/definitions/ServiceResponse"}],"properties":{"session_info":{"type":"object","properties":{"session_token":{"type":"string","format":"uuid"},"refresh_token":{"type":"string","format":"uuid"}}}}},"UpdateCredentialRequest":{"type":"object","properties":{"user_id":{"type":"string","format":"uuid"},"credential":{"type":"string"}}},"RefreshSessionRequest":{"type":"object","properties":{"refresh_token":{"type":"string","format":"uuid"}}},"ServiceResponse":{"type":"object","properties":{"status":{"type":"string","enum":["Success","Failed"]},"error":{"type":"string"}}},"SessionResponse":{"allOf":[{"$ref":"#/definitions/ServiceResponse"}],"properties":{"session":{"type":"string","enum":["Valid","InValid","Expired"]}}}},"externalDocs":{"description":"Find out more","url":"http://yasar.blackdart.in"},"host":"virtserver.swaggerhub.com","basePath":"/Black-Dart/aa-identity-service/0.0.1"}